<div class="upload-area" >
  <input #uploadInput hidden type="file" (change)="onChoosedFile($event)" [accept]="acceptFileTypes ? acceptFileTypes : ''"/>
    <button mat-stroked-button type="button" color="primary" (click)="onClickChoose($event)">
      <mat-icon>pageview</mat-icon> {{buttonText}}
    </button>
</div>

<ng-container *ngIf="showProgress">
  <div class="upload-list sg-border-primary" *ngIf="touched && fileUploadInfo && fileUploadInfo.status !== 'none'">
    <div *ngIf="fileUploadInfo.status === 'not-one'" class="error">
      'Please select only one file.'
    </div>
    <div *ngIf="fileUploadInfo.status !== 'not-one'" class="upload-line">
      <div class="row status">
        <div class="success" *ngIf="fileUploadInfo.status === 'completed'"><mat-icon>done</mat-icon></div>
        <div class="error" *ngIf="fileUploadInfo.status === 'failed' || fileUploadInfo.status === 'oversize'"><mat-icon>priority_high</mat-icon></div>
        &nbsp;
      </div>
      <div class="row file-name" *ngIf="fileUploadInfo.fileUpload">
        {{fileUploadInfo.fileUpload.name}}
      </div>
      <div class="row file-size" *ngIf="fileUploadInfo.fileUpload">
        {{getFileSizeText(fileUploadInfo.fileUpload.size)}}
      </div>

      <div class="row" *ngIf="fileUploadInfo.status === 'failed'">
        {{fileUploadInfo.failedMessage ? 'File upload failed:' + fileUploadInfo.failedMessage : 'Failed to upload the file.'}}
      </div>

      <div class="actions">
        <ng-container *ngIf="fileUploadInfo.status !== 'oversize'">
          <div class="row" *ngIf="fileUploadInfo.status === 'completed'">
            <button mat-mini-fab type="button" color="warn" (click)="onClickDeleteOrCancel($event)">
              <mat-icon>delete_forever</mat-icon>
            </button>
          </div>
          <div class="row" *ngIf="fileUploadInfo.status !== 'completed'">
            <button mat-mini-fab type="button" color="warn" (click)="onClickDeleteOrCancel($event)">
              <mat-icon>close</mat-icon>
            </button>
          </div>
        </ng-container>
        <div *ngIf="fileUploadInfo.status === 'oversize'">
          File size is limitted to {{fileSizeLimitInMB}} MB.,
        </div>

      </div>
    </div>
  </div>
</ng-container>
